Package com.avaya.core

## Class MessageAction

- java.lang.Object
- - com.avaya.core.MessageAction

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MessageAction
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageAction()` | Creates an empty message action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getAmount()` | The price of the action
    `java.lang.String` | `getCurrency()` | The type of currency
    `java.lang.String` | `getFallback()` | Fallback URI for action types not supported by the SDK
    `java.lang.String` | `getIconUrl()` | The icon URL of the action
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetadata()` | The action metadata
    `java.lang.String` | `getPayload()` | The action payload
    `java.lang.String` | `getSize()` | The size of a webview
    `java.lang.String` | `getState()` | The state of the action
    `java.lang.String` | `getText()` | The text of the action
    `java.lang.String` | `getType()` | The type of action
    `java.lang.String` | `getUri()` | The URI of the action
    `boolean` | `isDefault()` | Flag indicating if the message action should be the default for a given MessageItem
    `void` | `setAmount​(long amount)` | Sets the price of the action
    `void` | `setCurrency​(java.lang.String currency)` | Sets the type of currency
    `void` | `setDefault​(boolean isDefault)` | Sets the default flag
    `void` | `setFallback​(java.lang.String uri)` | Sets the fallback URI for action types not supported by the SDK
    `void` | `setIconUrl​(java.lang.String iconUrl)` | Sets the icon URL of the action
    `void` | `setMetadata​(java.util.Map<java.lang.String,​java.lang.Object> metadata)` | Sets the action metadata
    `void` | `setPayload​(java.lang.String payload)` | Sets the action payload
    `void` | `setSize​(java.lang.String size)` | Sets the size for a webview
    `void` | `setText​(java.lang.String text)` | Sets the text of the action
    `void` | `setType​(java.lang.String type)` | Sets the type of action
    `void` | `setUri​(java.lang.String uri)` | Sets the URI of the action

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageAction

          public MessageAction()

      Creates an empty message action.

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      The text of the action
      Returns:
        The text

    - #### setText

          public void setText​(java.lang.String text)

      Sets the text of the action

    - #### getIconUrl

          public java.lang.String getIconUrl()

      The icon URL of the action
      Returns:
        The icon URL

    - #### setIconUrl

          public void setIconUrl​(java.lang.String iconUrl)

      Sets the icon URL of the action

    - #### getUri

          public java.lang.String getUri()

      The URI of the action
      Returns:
        The URI

    - #### setUri

          public void setUri​(java.lang.String uri)

      Sets the URI of the action

    - #### getFallback

          public java.lang.String getFallback()

      Fallback URI for action types not supported by the SDK
      Returns:
        The fallback Uri

    - #### setFallback

          public void setFallback​(java.lang.String uri)

      Sets the fallback URI for action types not supported by the SDK

    - #### getSize

          public java.lang.String getSize()

      The size of a webview
      Returns:
        The size

    - #### setSize

          public void setSize​(java.lang.String size)

      Sets the size for a webview

    - #### getAmount

          public long getAmount()

      The price of the action
      Returns:
        The price (in cents)

    - #### setAmount

          public void setAmount​(long amount)

      Sets the price of the action

    - #### getState

          public java.lang.String getState()

      The state of the action
      Returns:
        The state of the action

    - #### getType

          public java.lang.String getType()

      The type of action
      Returns:
        The type

    - #### setType

          public void setType​(java.lang.String type)

      Sets the type of action

    - #### getPayload

          public java.lang.String getPayload()

      The action payload
      Returns:
        The payload

    - #### setPayload

          public void setPayload​(java.lang.String payload)

      Sets the action payload

    - #### getMetadata

          public java.util.Map<java.lang.String,​java.lang.Object> getMetadata()

      The action metadata
      Returns:
        The metadata

    - #### setMetadata

          public void setMetadata​(java.util.Map<java.lang.String,​java.lang.Object> metadata)

      Sets the action metadata

    - #### getCurrency

          public java.lang.String getCurrency()

      The type of currency
      Returns:
        The currency type

    - #### setCurrency

          public void setCurrency​(java.lang.String currency)

      Sets the type of currency

    - #### isDefault

          public boolean isDefault()

      Flag indicating if the message action should be the default for a given MessageItem
      Returns:
        True or false

    - #### setDefault

          public void setDefault​(boolean isDefault)

      Sets the default flag

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`